Update market configuration or status (admin)
curl --request PATCH \
--url https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '
{
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"maxOrderSize": "<string>",
"pauseReason": "<string>"
}
'const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
makerFeeBps: 123,
takerFeeBps: 123,
batchAuctionIntervalMs: 123,
maxDeviationFromMidBps: 123,
maxOrderSize: '<string>',
pauseReason: '<string>'
})
};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}"
payload = {
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"maxOrderSize": "<string>",
"pauseReason": "<string>"
}
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}"
payload := strings.NewReader("{\n \"makerFeeBps\": 123,\n \"takerFeeBps\": 123,\n \"batchAuctionIntervalMs\": 123,\n \"maxDeviationFromMidBps\": 123,\n \"maxOrderSize\": \"<string>\",\n \"pauseReason\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
makerFeeBps: 123,
takerFeeBps: 123,
batchAuctionIntervalMs: 123,
maxDeviationFromMidBps: 123,
maxOrderSize: '<string>',
pauseReason: '<string>'
})
};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"symbol": "<string>",
"baseAssetId": "<string>",
"quoteAssetId": "<string>",
"settlementBlockchainId": "<string>",
"settlementMasterWalletId": "<string>",
"tickSize": "<string>",
"lotSize": "<string>",
"minOrderSize": "<string>",
"maxOrderSize": "<string>",
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"status": "ACTIVE",
"pauseReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}OrderBook Markets
Update market configuration or status (admin)
Requires the orderbook_market:manage permission.
PATCH
/
v1
/
orderbook
/
markets
/
{marketSymbol}
Update market configuration or status (admin)
curl --request PATCH \
--url https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>' \
--data '
{
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"maxOrderSize": "<string>",
"pauseReason": "<string>"
}
'const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
makerFeeBps: 123,
takerFeeBps: 123,
batchAuctionIntervalMs: 123,
maxDeviationFromMidBps: 123,
maxOrderSize: '<string>',
pauseReason: '<string>'
})
};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}"
payload = {
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"maxOrderSize": "<string>",
"pauseReason": "<string>"
}
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}"
payload := strings.NewReader("{\n \"makerFeeBps\": 123,\n \"takerFeeBps\": 123,\n \"batchAuctionIntervalMs\": 123,\n \"maxDeviationFromMidBps\": 123,\n \"maxOrderSize\": \"<string>\",\n \"pauseReason\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'PATCH',
headers: {apiKey: '<api-key>', orgId: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
makerFeeBps: 123,
takerFeeBps: 123,
batchAuctionIntervalMs: 123,
maxDeviationFromMidBps: 123,
maxOrderSize: '<string>',
pauseReason: '<string>'
})
};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"symbol": "<string>",
"baseAssetId": "<string>",
"quoteAssetId": "<string>",
"settlementBlockchainId": "<string>",
"settlementMasterWalletId": "<string>",
"tickSize": "<string>",
"lotSize": "<string>",
"minOrderSize": "<string>",
"maxOrderSize": "<string>",
"makerFeeBps": 123,
"takerFeeBps": 123,
"batchAuctionIntervalMs": 123,
"maxDeviationFromMidBps": 123,
"status": "ACTIVE",
"pauseReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Path Parameters
Body
application/json
Response
Market updated
Show child attributes
Show child attributes
⌘I

